import NProgress from 'nprogress'

export default function NextNProgress({ Router, start, finish, error }) {
  Router.events.on('routeChangeStart', () => {
    if (typeof start === 'function') start()
    NProgress.start()
  })
  Router.events.on('routeChangeError', () => {
    if (typeof error === 'function') error()
    NProgress.done()
  })
  Router.events.on('routeChangeComplete', (url) => {
    if (typeof finish === 'function') finish()
    setTimeout(() => window.analytics && window.analytics.page(url), 0)
    NProgress.done()
  })
}
